#ifndef APREDMET_H
#define APREDMET_H

#include <iostream>
using namespace std;

class APredmet {

protected:
	double ro;
	char* naziv;
	
	virtual void pisi(ostream& os) const { os << naziv << " gustine " << ro << " kg/m^3"; }
	friend ostream& operator<<(ostream& os, const APredmet& ap) { ap.pisi(os); return os; }

public:
	APredmet(double roro=1, char* n=0) : ro(roro), naziv(n) {}
	virtual ~APredmet() {}
	char* dohvati() const { return naziv; }
	virtual double V() const = 0;
	double m() const { return ro*V(); }
	virtual APredmet* kopija() const = 0;
};

#endif //APREDMET_H
