#ifndef KUPA_H
#define KUPA_H

#include "APredmet.h"

const double PI=3.1415;

class GKupaKons {};

class Kupa: public APredmet {
  	double r,h;
	
	void pisi(ostream& os) const {
		APredmet::pisi(os);
		os << ", poluprecnika " << r << ", visine " << h << ".";
	}

public:
	Kupa(double roro=1, double rr=1, double hh=1) : APredmet(roro, "Kupa"), r(rr), h(hh) {
		if (roro<0 || rr<0 || hh<0) throw GKupaKons();
	}
	~Kupa() {}
	double V() const { return r*r*PI*h/3; }
	Kupa* kopija() const { return new Kupa(*this); }
};

#endif //KUPA_H
